package com.example.flutterktmap.gmap

import android.content.Context
import io.flutter.plugin.common.BinaryMessenger
import io.flutter.plugin.common.StandardMessageCodec
import io.flutter.plugin.platform.PlatformView
import io.flutter.plugin.platform.PlatformViewFactory

class GMapViewFactory (messenger: BinaryMessenger) : PlatformViewFactory(StandardMessageCodec.INSTANCE){
    private val messenger: BinaryMessenger? = messenger

    override fun create(context: Context, id: Int, o: Any?): PlatformView? {
        return FlutterGMapView(context, messenger, id)
    }


}