package com.example.flutterktmap.textview

import io.flutter.embedding.engine.plugins.FlutterPlugin
import io.flutter.plugin.common.PluginRegistry.Registrar
import io.flutter.plugin.platform.PlatformViewRegistry


object TextViewPlugin {
    fun registerWith(registrar: Registrar) {
        registrar
                .platformViewRegistry()
                .registerViewFactory(
                        "plugins.felix.angelov/textview", TextViewFactory(registrar.messenger()))
    }

    fun registerWith(flutterPluginBinding: FlutterPlugin.FlutterPluginBinding) {
        flutterPluginBinding.platformViewRegistry.apply {
            this.registerViewFactory("plugins.felix.angelov/textview", TextViewFactory(flutterPluginBinding.binaryMessenger))
        }
    }
}