package com.example.flutterktmap.textview

import android.content.Context
import io.flutter.plugin.common.BinaryMessenger
import io.flutter.plugin.common.StandardMessageCodec
import io.flutter.plugin.platform.PlatformView
import io.flutter.plugin.platform.PlatformViewFactory


class TextViewFactory(messenger: BinaryMessenger) : PlatformViewFactory(StandardMessageCodec.INSTANCE){
    private val messenger: BinaryMessenger? = messenger

    override fun create(context: Context?, id: Int, o: Any?): PlatformView? {
        return FlutterTextView(context, messenger, id)
    }
}